Package org.eclipse.emf.cdo.etypes.util

# Class EtypesSwitch<T>

java.lang.Object
org.eclipse.emf.cdo.etypes.util.EtypesSwitch<T>

public class EtypesSwitch<T> extends Object
The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

Since:
  4.0
See Also:
  - `EtypesPackage`
Generated

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static EtypesPackage`
`modelPackage`
The cached model package

## Constructor Summary

Constructors
Constructor
Description
`EtypesSwitch()`
Creates an instance of the switch.

## Method Summary

Modifier and Type
Method
Description
`T`
`caseAnnotation(Annotation object)`
Returns the result of interpreting the object as an instance of 'Annotation'.
`T`
`caseModelElement(ModelElement object)`
Returns the result of interpreting the object as an instance of 'Model Element'.
`T`
`caseStringToStringMapEntry(Map.Entry<String,String> object)`
Returns the result of interpreting the object as an instance of 'String To String Map Entry'.
`T`
`defaultCase(EObject object)`
Returns the result of interpreting the object as an instance of 'EObject'.
`protected T`
`doSwitch(int classifierID, EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected T`
`doSwitch(EClass theEClass, EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`T`
`doSwitch(EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modelPackage

protected static EtypesPackage modelPackage
The cached model package

Generated

## Constructor Details

### EtypesSwitch

public EtypesSwitch()
Creates an instance of the switch.

Generated

## Method Details

### doSwitch

public T doSwitch(EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Returns:
  the first non-null result returned by a `caseXXX` call.
Generated

### doSwitch

protected T doSwitch(EClass theEClass, EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Returns:
  the first non-null result returned by a `caseXXX` call.
Generated
  NOT

### doSwitch

protected T doSwitch(int classifierID, EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Returns:
  the first non-null result returned by a `caseXXX` call.
Generated

### caseModelElement

public T caseModelElement(ModelElement object)
Returns the result of interpreting the object as an instance of 'Model Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Model Element'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseAnnotation

public T caseAnnotation(Annotation object)
Returns the result of interpreting the object as an instance of 'Annotation'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Annotation'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseStringToStringMapEntry

public T caseStringToStringMapEntry(Map.Entry<String,String> object)
Returns the result of interpreting the object as an instance of 'String To String Map Entry'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'String To String Map Entry'.
Since:
  4.22
See Also:
  - `doSwitch(EObject)`
Generated

### defaultCase

public T defaultCase(EObject object)
Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  - `doSwitch(org.eclipse.emf.ecore.EObject)`
Generated